
import java.io.*;
import java.util.*;
class Main{
	static int n[] = new int [101];
	static int a[] = new int [101];
	static int b[] = new int [101];   
	static int rezm[]=new int[102];
	static int sum[]=new int[102];
 
	public static void main(String [] args){
		try {
		Scanner sc= new Scanner(new FileReader("F.in"));
		PrintWriter out = new PrintWriter (new FileWriter ("F.out"));
		String s = sc.nextLine();
		StringTokenizer stk = new StringTokenizer (s, " ");
		String N  = stk.nextToken();
		String A  = stk.nextToken();
		String B  = stk.nextToken();
		sc.close();
for(int i=0;i<N.length();i++){
n[N.length()-1-i]=N.charAt(i)-48;	
}


for(int i=0;i<A.length();i++){
	a[A.length()-1-i]=A.charAt(i)-48;	
}


for(int i=0;i<B.length();i++){
	b[B.length()-1-i]=B.charAt(i)-48;
}

for(int i=0;i<N.length();i++){
	if (n[i]>=a[i])
  rezm[i]=n[i]-a[i];
	else {
		rezm[i]=n[i]+10-a[i];
		n[i+1]--;
	}		
	}
int ost=0;
int max=Math.max(N.length(),B.length());
for(int i=0;i<max;i++){
	sum[i]=rezm[i]+b[i]+ost;
	ost=sum[i]/10;
	sum[i]=sum[i]%10;
}
if (ost>0){
	sum[max]=ost;
}
if (sum[max-1]==0) max--;
for(int i=max-1;i>=0;i--) 
	out.print(sum[i]);


	
	out.close();
	} catch (Exception e){}
	}

}